Bug 962833 - xen-devel should require libuuid-devel
xen-devel should require libuuid-devel
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Young
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-14 10:28 EDT by Eric Blake
Modified: 2013-05-26 23:26 EDT (History)
4 users (show)

See Also:
Fixed In Version: xen-4.2.2-5.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-26 20:29:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Blake 2013-05-14 10:28:08 EDT
Description of problem:
xen-devel doesn't pull in enough dependencies to allow out-of-the-box compilation

Version-Release number of selected component (if applicable):
xen-devel-4.2.2-3.fc20.x86_64

How reproducible:
100%

Steps to Reproduce:
1. yum install -y xen-devel
2. echo '#include <libxl.h>' | gcc -E - >/dev/null
3. yum install -y libuuid-devel
4. echo '#include <libxl.h>' | gcc -E - >/dev/null
  
Actual results:
step 2 fails with:
In file included from /usr/include/libxl.h:259:0,
                 from <stdin>:1:
/usr/include/libxl_uuid.h:27:23: fatal error: uuid/uuid.h: No such file or directory
 #include <uuid/uuid.h>
                       ^
compilation terminated.

step 3 installs files
step 4 succeeds (0 exit status, no output)

Expected results:
step 1 should have installed libuuid-devel, so that step 2 succeeds, and step 3 has nothing to do

Additional info:
Noticed on the libvirt list:
https://www.redhat.com/archives/libvir-list/2013-May/msg00997.html
Comment 1 Fedora Update System 2013-05-15 17:03:10 EDT
xen-4.2.2-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xen-4.2.2-4.fc19
Comment 2 Fedora Update System 2013-05-15 17:32:20 EDT
xen-4.2.2-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xen-4.2.2-4.fc18
Comment 3 Fedora Update System 2013-05-15 18:09:52 EDT
xen-4.1.5-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xen-4.1.5-3.fc17
Comment 4 Fedora Update System 2013-05-16 13:23:34 EDT
Package xen-4.2.2-4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xen-4.2.2-4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8369/xen-4.2.2-4.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-05-17 16:30:31 EDT
xen-4.2.2-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xen-4.2.2-5.fc19
Comment 6 Fedora Update System 2013-05-17 17:10:57 EDT
xen-4.2.2-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xen-4.2.2-5.fc18
Comment 7 Fedora Update System 2013-05-17 17:54:42 EDT
xen-4.1.5-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xen-4.1.5-4.fc17
Comment 8 Fedora Update System 2013-05-26 20:29:36 EDT
xen-4.1.5-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-05-26 20:30:17 EDT
xen-4.2.2-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-05-26 23:26:20 EDT
xen-4.2.2-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.